@charset "UTF-8";
@media screen and (min-width: 768px) {
    .menu {
        background: #FBFBE8;
        padding: 40px 0;
        max-width: 1150px;
        width: 80%;
        margin: 5% auto 3%;
        border-radius: 20px;
    }
}

@media screen and (max-width: 767px) {
    .menu {
        position: relative;
        z-index: 999;
    }
}

.menu--sp {
    position: absolute;
}

.menu__ttl {
    text-align: center;
    margin-bottom: 20px;
}

.menu__ttl p {
    position: relative;
    display: inline-block;
    font-size: 1.6em;
    font-weight: 500;
    color: #5D2E1F;
    cursor: pointer;
}

@media screen and (max-width: 767px) {
    .menu__ttl {
        margin-bottom: 0;
    }
    .menu__ttl p {
        font-size: 1.4em;
    }
}

.menu__list {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 95%;
    margin: 0 auto;
    max-width: 990px;
}

@media screen and (max-width: 767px) {
    .menu__list {
        gap: 1em;
        max-width: 360px;
    }
}

@media screen and (max-width: 390px) {
    .menu__list {
        gap: 0.8em;
    }
}

.menu__list.is-active {
    display: flex;
    justify-content: space-around;
}


/*@media screen and (max-width: 767px) {
    .menu__list.is-active {
        justify-content: center;
    }
}*/

.menu__link {
    width: 230px;
    margin: 12px 10px;
    max-width: 260px;
}

@media screen and (max-width: 767px) {
    .menu__link {
        width: 150px;
        height: 40px;
        margin: 0;
    }
}

.menu__link a {
    position: relative;
    display: block;
    padding: 12px 0;
    border-radius: 40px;
    text-align: center;
    font-size: 1.3em;
    font-weight: 500;
    color: #fff;
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #F39800;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
}

@media screen and (max-width: 767px) {
    .menu__link a {
        font-size: 0.9em;
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #F39800;
        line-height: 1;
    }
}

.menu__link a::after {
    content: "";
    position: absolute;
    background: url(../img/arrow.svg) no-repeat;
    background-position: center;
    width: 10px;
    height: 20px;
    right: 6%;
    bottom: 32%;
    transition: all 0.3s;
    rotate: 90deg;
}

@media screen and (max-width: 767px) {
    .menu__link a::after {
        right: 5%;
        bottom: 24%;
        rotate: 0deg;
    }
}

.menu__link a:hover::after {
    opacity: 0.9;
}

.menu__link.ippin__btn a {
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #E4007F;
}

@media screen and (max-width: 767px) {
    .menu__link.ippin__btn a {
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #E4007F;
    }
}

.menu__link.kaden__btn a {
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #007CC8;
}

@media screen and (max-width: 767px) {
    .menu__link.kaden__btn a {
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #007CC8;
    }
}

.menu__link.biyou__btn a {
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #EB6BA4;
}

@media screen and (max-width: 767px) {
    .menu__link.biyou__btn a {
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #EB6BA4;
    }
}

.menu__link.suimin__btn a {
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #00B097;
}

@media screen and (max-width: 767px) {
    .menu__link.suimin__btn a {
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #00B097;
    }
}

.menu__link.th65__btn a {
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #00A0E9;
}

@media screen and (max-width: 767px) {
    .menu__link.th65__btn a {
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #00A0E9;
    }
}

.menu__link.youme__btn a {
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #C70079;
}

@media screen and (max-width: 767px) {
    .menu__link.youme__btn a {
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #C70079;
    }
}

.menu__link.nintendo__btn a {
    box-shadow: 0 0 0 2px #FFF, 0 0 0 6px #6566A7;
    padding: 16px 25px;
    font-size: 1.2em;
    line-height: 1.2;
}

@media screen and (max-width: 767px) {
    .menu__link.nintendo__btn a {
        box-shadow: 0 0 0 1px #FFF, 0 0 0 4px #6566A7;
        padding: 5px 0;
        font-size: 0.9em;
        line-height: 2;
        width: 100%;
    }
}

.menu__link.oubo__btn a {
    box-shadow: 0 0 0 2px #707070, 0 0 0 6px #707070;
}

@media screen and (max-width: 767px) {
    .menu__link.oubo__btn {
        max-width: 320px;
        width: 100%;
    }
    .menu__link.oubo__btn a {
        box-shadow: 0 0 0 1px #707070, 0 0 0 4px #707070;
    }
}

.menu__chk input[type=checkbox] {
    display: none;
}

.menu__chk label {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: 0;
    left: 0;
    height: 55px;
    width: 100%;
    background: #FBFBE8;
    font-size: 0.8em;
    cursor: pointer;
    z-index: 500;
}

.menu__chk label .menu__ttl {
    margin-bottom: 0;
}

.menu__chk label .menu__ttl p {
    position: relative;
}

.menu__chk label .menu__ttl p::before {
    content: "";
    position: absolute;
    background: url(../img/arrow_brown.svg) no-repeat;
    background-position: center;
    width: 20px;
    height: 20px;
    right: -12%;
    bottom: 20%;
    transition: all 0.3s;
    transform: rotate(180deg);
}

.menu__chk label .menu__ttl.is-active p::before {
    background: url(../img/arrow_brown.svg) no-repeat;
    background-position: center;
    width: 20px;
    height: 20px;
    transform: rotate(0deg);
}

.big8 {
    font-size: 1.4em;
}

@media screen and (max-width: 767px) {
    /* 下部UI */
    .bottom-ui {
        position: fixed;
        bottom: 0;
        width: 100%;
        transition: transform 0.3s ease;
    }
    /* フッター */
    .footer {
        background: #FBFBE8;
        color: white;
        text-align: center;
        height: 55px;
    }
    /* メニュー */
    .bottom-menu {
        height: 310px;
        padding: 16px;
        background: #FBFBE8;
    }
    /* 初期状態：メニューを下に隠す */
    #menu-toggle:not(:checked)+.bottom-ui {
        transform: translateY(310px);
    }
    /* 開いた状態 */
    #menu-toggle:checked+.bottom-ui {
        transform: translateY(0);
        z-index: 999;
    }
    .menu-label {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 6px;
        cursor: pointer;
    }
    /* 二重矢印 */
    .arrow {
        position: relative;
        width: 12px;
        height: 12px;
    }
    .arrow::before,
    .arrow::after {
        content: "";
        position: absolute;
        left: 0;
        width: 100%;
        height: 100%;
        border-right: 2px solid #5D2E1F;
        border-bottom: 2px solid #5D2E1F;
        transform: rotate(-135deg);
        transition: transform 0.3s ease;
    }
    .arrow::after {
        top: 6px;
        /* 二重にする */
        transform: rotate(-135deg) scale(0.8);
    }
    /* 開いたら回転（▼向き） */
    #menu-toggle:checked+.bottom-ui .arrow::before,
    #menu-toggle:checked+.bottom-ui .arrow::after {
        transform: rotate(45deg);
    }
    /* 開いたら少し上に */
    #menu-toggle:checked+.bottom-ui .arrow {
        transform: translateY(-8px);
    }
    #menu-toggle:checked+.bottom-ui .arrow::before {
        transform: rotate(45deg) scale(0.8);
    }
    .menu-overlay {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.45);
        z-index: 0;
    }
    #menu-toggle:checked~.menu-overlay {
        display: block;
    }
}